Get Job Status
Retrieves the current status of an asynchronous job. Most of the HCX operations (gateway creation, migrations, network extensions, etc.) execute asynchronously and return a job ID. Use this endpoint to poll for job completion and retrieve the outcome.
Request
URI
GET
https://{server}/hybridity/api/jobs/{jobid}
COPY
Path Parameters
string
jobid
Required
jobid
Authentication
This operation uses the following authentication methods.
Responses
200
Accepted
Returns
_hybridity_api_jobs__jobid__get_200_response
of type(s)
application/json
{
"isCancelled": true,
"didFail": true,
"enterprise": "enterprise",
"isRolledBack": true,
"createTimeEpoch": 0,
"percentComplete": 5,
"isDone": true,
"timeToExecute": 2,
"jobId": "jobId",
"organization": "organization",
"startTime": 1,
"absoluteExpireTimeEpoch": 6,
"endTime": 5,
"isQueued": true,
"username": "username"
}
string
jobId
Optional
jobId
string
enterprise
Optional
enterprise
string
organization
Optional
organization
string
username
Optional
username
boolean
isQueued
Optional
isQueued
boolean
isCancelled
Optional
isCancelled
boolean
isRolledBack
Optional
isRolledBack
integer
createTimeEpoch
Optional
createTimeEpoch
integer
absoluteExpireTimeEpoch
Optional
absoluteExpireTimeEpoch
integer
startTime
Optional
startTime
integer
endTime
Optional
endTime
integer
percentComplete
Optional
percentComplete
boolean
isDone
Optional
isDone
boolean
didFail
Optional
didFail
integer
timeToExecute
Optional
timeToExecute
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/jobs/{jobid}